curl https://zeplo.ai/api/v1/contacts \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
REST API v1 (External)
GET/POST Contacts (v1)
Manage contacts via the external API with interactive testing.
GET
/
api
/
v1
/
contacts
curl https://zeplo.ai/api/v1/contacts \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
List contacts
GET /api/v1/contacts
Full CRUD operations for contacts.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
curl https://zeplo.ai/api/v1/contacts \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
Create contact
POST /api/v1/contacts
Body parameters
string
required
Contact name.
string
required
Phone number with country code.
string
Contact email address.
{
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com"
}
curl -X POST https://zeplo.ai/api/v1/contacts \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com"
}'
Get contact
GET /api/v1/contacts/:id
integer
required
Contact ID.
curl https://zeplo.ai/api/v1/contacts/1 \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
Update contact
PUT /api/v1/contacts/:id
integer
required
Contact ID.
Body parameters
string
Updated contact name.
string[]
Array of tags.
{
"name": "John Doe Jr.",
"tags": ["customer", "premium"]
}
curl -X PUT https://zeplo.ai/api/v1/contacts/1 \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe Jr.",
"tags": ["customer", "premium"]
}'
Delete contact
DELETE /api/v1/contacts/:id
integer
required
Contact ID.
curl -X DELETE https://zeplo.ai/api/v1/contacts/1 \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
List groups
GET /api/v1/contacts/groups
curl https://zeplo.ai/api/v1/contacts/groups \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740"
Add contact to group
POST /api/v1/contacts/groups/:groupId/add
integer
required
Group ID.
Body parameters
integer
required
Contact ID to add to the group.
{
"contactId": 5
}
curl -X POST https://zeplo.ai/api/v1/contacts/groups/1/add \
-H "x-api-key: zeplo_ak_abc123..." \
-H "x-api-secret: zeplo_as_abc123..." \
-H "x-channel-id: 647015955153740" \
-H "Content-Type: application/json" \
-d '{
"contactId": 5
}'
